package org.springblade.wx.utils;

import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.wx.config.ConfigCommon;
/**
 * @author: lianghanqiang
 * @description: 用于处理小程序业务域名，在配置文件配置所需拦截的域名信息，配置好服务器反向代理即可
 * @since: 9/18/21 -- 10:40 AM
 */
public class UrlTransform {
	private static ConfigCommon configCommon;

	 static{
	 	configCommon = SpringUtil.getBean(ConfigCommon.class);
	 }

	 /**
	  * 将所需要拦截的业务域名转换成服务器域名
	  * @param url 需要校验的请求地址
	  * */
	 public static String cheakUrl(String url){

		 for (String item: configCommon.getBusinessUrls()) {
			 if(url.contains(item)){
				 return url.replace(item, configCommon.getDomain());
			 }
		 }
		return url;
	 }
}
